#include<iostream>
using namespace std;
int main()
{
    int n, m;
    int x[10000][2], y[10000][3];
    cin>>n>>m;
    for(int i = 1; i < n; i++)
    {
        for(int j = 0; j < 2; j++)
        {
        cin >> x[i][j];
        }
        for(int j = 1; k < m; i++)
        {
            for(int k = 0; k < 3; j++)
            {
                cin >> y[j][k];
                int ik = y[j][0];
                int idk = y[j][1];
                for(int l = 0; l < idk-ik; k++)
                {
                    int num=0;
                    while(x[i][ik]<=x[i][idk])
                    {
                        if(x[i][0]<=y[j][2]<=x[i][1])
                        {
                            num = num + 1;
                        }
                        ik= ik+1;
                    }
                    cout<<num<<endl;
                }
            }
        }
    }
}